.clearfix {
  *zoom: 1;
}
.clearfix:before,
.clearfix:after {
  display: table;
  content: "";
  line-height: 0;
}
.clearfix:after {
  clear: both;
}
.hide-text {
  font: 0/0 a;
  color: transparent;
  text-shadow: none;
  background-color: transparent;
  border: 0;
}
.input-block-level {
  display: block;
  width: 100%;
  min-height: 38px;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
/*== 1200px and beyond ===================================================
========================================================================*/
/* Large desktop */
@media (min-width: 1200px) {
  
}
/*== Up to 1200px =====================================================
========================================================================*/
/* Large desktop */
@media (max-width: 1200px) {
  #contact_map {
    height: 376px;
  }
  ul.gallery {
    margin-left: -20px;
  }
  ul.gallery .gallery-item {
    padding-left: 20px;
  }
  .events .item_img {
    float: none;
    margin-right: 0;
    margin-bottom: 20px;
    display: inline-block;
  }
  .gallery-slider .camera_thumbs {
    width: 228px;
  }
  .gallery-slider .camera_thumbs .camera_thumbs_cont li {
    width: 94px;
    height: 95px;
  }
  .gallery-slider .camera_thumbs .camera_thumbs_cont img {
    width: auto;
    height: 100%;
    position: relative;
    left: 50%;
    margin-left: -86px;
  }
}
/*== Up to 980px ======================================================
========================================================================*/
/* Narrow desktop */
@media (max-width: 979px) {
  .thumbnails {
    margin-left: -12px;
  }
  .thumbnails > li {
    margin-left: 12px;
  }
  .navigation ul.sf-menu > li {
    margin-left: 20px;
  }
  h3 {
    font-size: 24px;
    line-height: 1em;
  }
  .gallery-slider {
    margin-bottom: 40px;
  }
  .gallery-slider .camera_thumbs {
    width: 104px;
  }
  .gallery-slider .camera_thumbs .camera_thumbs_cont ul {
    margin-bottom: -10px;
  }
  .gallery-slider .camera_thumbs .camera_thumbs_cont li {
    height: 46px;
    margin-left: 10px;
    margin-bottom: 10px;
  }
  .gallery-slider .camera_thumbs .camera_thumbs_cont li:hover,
  .gallery-slider .camera_thumbs .camera_thumbs_cont li.cameracurrent {
    border-width: 2px;
  }
  .gallery-slider .camera_thumbs .camera_thumbs_cont img {
    width: 100%;
    height: auto;
    position: relative;
    left: 0;
    margin-left: 0;
  }
  #footer .testimon .item_img {
    float: none;
    margin-bottom: 20px;
    margin-right: 0;
  }
  .page-blog .item_img {
    float: none;
    display: inline-block;
    margin-right: 0px;
  }
  /*footer*/
  #back-top {
    display: none !important;
  }
  ul.gallery {
    margin-left: -12px;
  }
  ul.gallery .gallery-item {
    padding-left: 12px;
  }
  ul.gallery .gallery-item.straightDown {
    text-align: center;
  }
  ul.gallery .gallery-item.straightDown .view {
    margin: 0 auto;
    display: inline-block;
  }
}
/*== Up to 980px and beyond 768px ======================================
========================================================================*/
/* Portrait tablet to landscape and desktop */
@media (min-width: 768px) and (max-width: 979px) {
  
}
/*== Up to 767px ======================================================
========================================================================*/
/* Landscape phone to portrait tablet */
@media (max-width: 767px) {
  .events .item {
    width: 100%;
    margin-bottom: 20px;
  }
  .events .item_img {
    float: left;
    margin-bottom: 0;
    margin-right: 20px;
  }
  .designers .mod_caroufredsel {
    max-width: 267px;
  }
  .gallery-slider {
    height: auto;
  }
  .gallery-slider #camera-slideshow {
    padding: 0;
    box-shadow: 0 0 0;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;
    max-height: inherit;
    overflow: inherit;
  }
  .gallery-slider .camera_wrap .camera_fakehover {
    float: none;
    width: 100%;
    height: 100%;
    position: absolute;
  }
  .gallery-slider .camera_wrap .camera_fakehover .cameraCont img,
  .gallery-slider .camera_wrap .camera_fakehover .camerarelative img,
  .gallery-slider .camera_wrap .camera_fakehover .cameraappended img,
  .gallery-slider .camera_wrap .camera_fakehover .cameraappended,
  .gallery-slider .camera_wrap .camera_fakehover .cameraSlide {
    width: 100% !important;
    height: 100% !important;
  }
  .gallery-slider .camera_thumbs {
    float: none;
    width: 100%;
    position: absolute;
    bottom: -250px;
  }
  .gallery-slider .camera_thumbs div {
    float: left;
  }
  .gallery-slider .camera_thumbs .camera_thumbs_cont {
    float: left;
    background: none;
  }
  .gallery-slider .camera_thumbs .camera_thumbs_cont ul {
    width: auto !important;
    float: left;
    padding: 0;
    margin-bottom: -20px;
  }
  .gallery-slider .camera_thumbs .camera_thumbs_cont li {
    float: left;
    margin: 0 20px 20px 0;
    padding: 0;
    width: 171px;
    height: 95px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    overflow: hidden;
  }
  .gallery-slider .camera_thumbs .camera_thumbs_cont li:hover,
  .gallery-slider .camera_thumbs .camera_thumbs_cont li.cameracurrent {
    border: 5px solid #008ef0;
  }
  .gallery-slider .camera_thumbs .camera_thumbs_cont img {
    margin-top: 0;
    border: none;
    opacity: 1 !important;
    width: 100%;
    height: auto;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
  }
  .about_us .item_img {
    float: none;
    display: inline-block;
    margin-right: 0;
    margin-bottom: 20px;
  }
  body {
    padding: 0;
  }
  body .row-container {
    padding: 0 20px;
  }
  body #showcase-row .row-container {
    padding: 0;
  }
  #wrapper {
    margin: 0;
  }
  #footer-wrapper {
    height: auto;
  }
  #push {
    display: none;
  }
  #logo {
    text-align: center;
  }
  #logo a {
    margin: 0;
  }
  .nav.menu.pull-right.nav-pills {
    float: none;
    text-align: center;
  }
  .nav.menu.pull-right.nav-pills li {
    float: none;
    display: inline-block;
  }
  .social {
    text-align: left;
    padding: 10px 0;
  }
  /*content*/
  .item-image.blog-image {
    float: none;
    margin: 0 0 20px 0;
  }
  .row-fluid [class*="itemSpan"] {
    display: block;
    float: none;
    margin-left: 0;
    width: auto;
  }
  /*gallery*/
  .page-gallery ul.gallery {
    margin-left: 0;
  }
  .page-gallery ul.gallery .gallery-item {
    padding-left: 0;
    float: none;
  }
  .page-gallery ul.gallery .gallery-item .item_img {
    float: left;
    margin: 0 18px 18px 0 !important;
    max-width: 50%;
  }
  .page-gallery ul.gallery .gallery-item .view .item_img {
    max-width: 100%;
  }
  .page-gallery ul.gallery .gallery-item .view .item_img a {
    display: block;
  }
  .img-full__left.span5 {
    width: 50%;
  }
  /*contact*/
  .contact_details .contact_details_item {
    width: 30%;
    float: left;
  }
  .page-gallery ul.gallery .gallery-item .view {
    margin: 0 auto;
  }
  .page-gallery ul.gallery .gallery-item .view .item_img {
    float: none;
    margin: 0 !important;
  }
  /*Modules*/
  /*search*/
  .mod-search__aside .mod-search_searchword {
    width: 50%;
  }
  /*login*/
  .mod-login__aside .mod-login_username,
  .mod-login__aside .mod-login_passwd {
    width: 50%;
  }
  #back-top {
    display: none !important;
  }
}
/*== Up to 630px ==================================================
====================================================================*/
@media (max-width: 630px) {
  /*contact*/
  .contact_details {
    margin-bottom: 18px;
  }
  .contact_details .contact_details_item {
    width: 100%;
    float: none;
  }
  .gallery-slider .camera_thumbs {
    bottom: -140px;
  }
  .gallery-slider .camera_thumbs .camera_thumbs_cont ul {
    margin-bottom: -10px;
  }
  .gallery-slider .camera_thumbs .camera_thumbs_cont li {
    height: 46px;
    width: 95px;
    margin-right: 10px;
    margin-bottom: 10px;
  }
  .gallery-slider .camera_thumbs .camera_thumbs_cont li:hover,
  .gallery-slider .camera_thumbs .camera_thumbs_cont li.cameracurrent {
    border-width: 2px;
  }
  .gallery-slider .camera_thumbs .camera_thumbs_cont img {
    width: 100%;
    height: auto;
    position: relative;
    left: 0;
    margin-left: 0;
  }
}
/*== Up to 420px ==================================================
====================================================================*/
@media (max-width: 420px) {
  
}
/*== Up to 480px ==================================================
====================================================================*/
/* Landscape phones and down */
@media (max-width: 480px) {
  /*contact*/
  .contact_form {
    width: 100%;
  }
  /*registration*/
  .page-registration form input,
  .page-remind form input,
  .page-reset form input,
  .page-login form input,
  .page-login form input,
  .page-profile__edit form input,
  .page-registration form select,
  .page-remind form select,
  .page-reset form select,
  .page-login form select,
  .page-login form select,
  .page-profile__edit form select {
    width: 100%;
  }
  .page-registration form label,
  .page-remind form label,
  .page-reset form label,
  .page-login form label,
  .page-login form label,
  .page-profile__edit form label {
    display: inline-block;
  }
  .pagination ul li {
    display: none;
  }
  .pagination ul li.pagination-prev,
  .pagination ul li.pagination-next {
    display: inline-block;
  }
  /*gallery*/
  .page-gallery .item_img.img-intro {
    float: none;
    margin: 0 0 18px 0;
  }
  .page-gallery ul.gallery .gallery-item {
    text-align: center;
  }
  .page-gallery ul.gallery .gallery-item .item_img {
    float: none;
    margin: 0 auto 18px !important;
    max-width: 100%;
  }
  .page-gallery ul.gallery .gallery-item .item_img img {
    width: 100%;
  }
  .page-gallery ul.gallery .gallery-item a.zoom {
    display: inline-block;
  }
  .img-full__left.span5 {
    width: 100%;
    margin-right: 0;
  }
  /*blog*/
  .item_img {
    float: none;
    display: inline-block;
    margin: 0 0 18px 0;
    max-width: 100%;
  }
  .page-item .item_img {
    max-width: 100%;
  }
  /*archive*/
  .page-archive_filters select {
    display: block;
    width: 100%;
  }
  /*contact*/
  .contact_details .contact_details_item {
    width: 100%;
    float: none;
  }
  /*Modules*/
  /*search*/
  .mod-search__aside .mod-search_searchword {
    width: 100%;
  }
  /*login*/
  .mod-login__aside .mod-login_userdata {
    width: 100%;
    overflow: hidden;
  }
  .mod-login__aside .mod-login_username,
  .mod-login__aside .mod-login_passwd {
    width: 100%;
  }
  div.modal {
    position: absolute;
  }
}
/*== Up to 405px =====================================================
========================================================================*/
/* Portrait phones */
@media (max-width: 405px) {
  .events .item_img {
    float: none;
    margin-right: 0;
    margin-bottom: 20px;
    display: inline-block;
  }
}
/*== Up to 370px =====================================================
========================================================================*/
/* Portrait phones */
@media (max-width: 370px) {
  .gallery-slider .camera_thumbs {
    bottom: -180px;
  }
}
